@import 'variables';
@import '../button/button';

:host {
  display: block;
  padding: 16px;
  border: 1px solid $jnt-primary-color;
}

h1 {
  color: $jnt-primary-color;
}

form {
  background-color: $jnt-secondary-background;
  padding: 8px;

  input {
    margin-right: 16px;
    border-radius: $jnt-corner-normal;
    padding: 8px 16px;
  }

  input[type='number']::-webkit-outer-spin-button {

  }

  @include app-button((
    padding: $jnt-gutter-normal,
    color: $jnt-success-color
  ), '&', false, 'merge');
}
